Skip to main content

GetPredictedAssistanceData

GET 

/location/pgps

deprecated

This endpoint has been deprecated and may be replaced or removed in future versions of the API.

Use GET /location/pgnss (GNSS GetPredictionData) instead.

Generates up to one week of gps predictions. The predictions are used by the nRF91 GPS modem to enable a faster time-to-first-fix (TTFF) and provide offline navigation when out of range of an LTE cell.

Returns a link for easy download of the predictions file.

Basic Request:

curl -G $API_HOST/v1/location/pgps -H "Authorization: Bearer $JWT" -H "Content-Type: application/json"

Custom Request:

curl -G $API_HOST/v1/location/pgps -H "Authorization: Bearer $JWT" -H "Content-Type: application/json" -d "predictionCount=42" -d "predictionIntervalMinutes=240" -d "startGpsDay=15131" -d "startGpsTimeOfDaySeconds=0"

Request​

Responses​

Link to the P-GPS binary payload file for download.